Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (f87d7d692155b967ce1c6aa4290bdff0c8cc14e0)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (f87d7d692155b967ce1c6aa4290bdff0c8cc14e0)
  • Date: Thu, 1 Jan 2009 16:59:08 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/add-sauce.sh | 19 ++++++++++++++-----
1 files changed, 14 insertions(+), 5 deletions(-)

New commits:
commit f87d7d692155b967ce1c6aa4290bdff0c8cc14e0
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/add-sauce.sh: kernel is only for iso

The kernel only goes on the ISO and not in the sys dir, so don't
blacklist things in sys (there's no modules there to blacklist). Fixed
the CHROOTDIR variable to ensure that it doesn't have a trailing '/'.
Also, whether in sys or iso, run ldconfig afterwards, since presumably
etc/ld.so.conf will be copied over but the changes won't take effect if
the command isn't run via chroot.

diff --git a/scripts/add-sauce.sh b/scripts/add-sauce.sh
index e8851eb..626df15 100755
--- a/scripts/add-sauce.sh
+++ b/scripts/add-sauce.sh
@@ -64,7 +64,7 @@ if [[ $TYPE == "bad" || -z $1 ]] ;then
usage
fi

-CHROOTDIR="$1"
+CHROOTDIR="${1%/}"

if ! $FORCE ;then
if [[ ! -x "$CHROOTDIR"/bin/bash ]] ;then
@@ -94,8 +94,11 @@ function blacklist_modules {
sort >> "$DEST"/etc/modprobe.d/blacklist
}

-KVER=${KVER:-$(find "$CHROOTDIR"/lib/modules -mindepth 1 -maxdepth 1 -print
| head -n1 | sed 's#.*/##')}
-[[ -z $KVER ]] && exit 3
+if [[ $TYPE == "iso" ]] ;then
+ # ensure kernel presence/sanity
+ KVER=${KVER:-$(find "$CHROOTDIR"/lib/modules -mindepth 1 -maxdepth 1
-print | head -n1 | sed 's#.*/##')}
+ [[ -z $KVER ]] && exit 3
+fi

# make sure we start with a clean TEMPDIR each run
rm -rf "$TEMPDIR"
@@ -105,10 +108,12 @@ KVER=${KVER:-$(find "$CHROOTDIR"/lib/modules -mindepth
1 -maxdepth 1 -print | he
# should go onto both iso and system chroots
# this is mostly /etc content
cp -a "$MYDIR"/base/* "$TEMPDIR"/
- blacklist_modules "$CHROOTDIR/lib/modules/$KVER/kernel/drivers/video"
"$TEMPDIR"/

# ISO Sauce
if [[ $TYPE == "iso" ]] ;then
+ # add the relevant modules to the blacklist
+ blacklist_modules "$CHROOTDIR/lib/modules/$KVER/kernel/drivers/video"
"$TEMPDIR"/
+
# copy everything from the cauldron repo iso dir
# into the TEMPDIR staging area
cp -a "$MYDIR"/iso/* "$TEMPDIR"/
@@ -164,5 +169,9 @@ do
fi
done

- rm -rf "$TEMPDIR"
+# ensure that ld has an up-to-date cache
+"${0%/*}"/cauldronchr.sh -d "$CHROOTDIR" /sbin/ldconfig
+
+# clean up
+rm -rf "$TEMPDIR"




  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (f87d7d692155b967ce1c6aa4290bdff0c8cc14e0), Justin Boffemmyer, 01/01/2009

Archive powered by MHonArc 2.6.24.

Top of Page